#pragma once

#include "General.h"
#include "KeyInput.h"

enum PLAYER{
	PLAYERA = 0,
	PLAYERB = 1,
	PLAYERC = 2,
	SKY = 3
};

enum CURSOR{
	ACC = 0,
	STR = 1,
	BUL = 2,
	SPD = 3,
	TIMING = 4,
	FINISH = 5,
	TRIAL = 6,
	BLANK = 7,
	DEFAULT = 8,
	START = 9
};

enum STRATEGY{
	BEST = 0,
	WORST = 1,
	MOST = 2,
	LEAST = 3,
	RANDOMNORMAL = 4,
	RANDOMSKY = 5,
	RANDOMNOSHOT = 6
};

enum TIMING{
	FIXEDORDER = 0,
	RANDOMORDER = 1,
	SIMULTANEOUS = 2,
	SPEED = 3
};

enum FINISH{
	ONCE = 0,
	LAST = 1
};

enum STATUS{
	LIVE = 0,
	RESTBUL = 1,
	TARGET = 2
};

class Truel: public KeyInput{
public:
	Truel();
	void truelMain();
private:
	bool focusFlag;
	int color;
	int cursor_x, cursor_y;
	int resultCount[8];//000,00A,0B0,0BA,C00,C0A,CB0,CBA
	int settingData[7][3];
	int turn;
	int target;
	int status[3][3];
	int temp;
	int time;
	void default();
	void printSetting();
	void input();
	void simulation();
	void decideTarget(int player);
	void fire(int player);
};